#include "InfoPacketData.hpp"


namespace drp::packet::info {


std::vector<std::uint8_t> InfoPacketData::serialize() const {
    // serialize the members
    const auto serializedPeer = this->peer.serialize();

    return serializedPeer;
}


InfoPacketData InfoPacketData::deserialize(std::vector<std::uint8_t>& data) {
    // deserialize the members
    const auto packetPeer = Peer::deserialize(data);

    return {packetPeer};
}


}